# Form implementation generated from reading ui file 'src/eric7/WebBrowser/AdBlock/AdBlockExceptionsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_AdBlockExceptionsDialog(object):
    def setupUi(self, AdBlockExceptionsDialog):
        AdBlockExceptionsDialog.setObjectName("AdBlockExceptionsDialog")
        AdBlockExceptionsDialog.resize(550, 450)
        AdBlockExceptionsDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(AdBlockExceptionsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.iconLabel = QtWidgets.QLabel(parent=AdBlockExceptionsDialog)
        self.iconLabel.setMinimumSize(QtCore.QSize(48, 48))
        self.iconLabel.setText("Icon")
        self.iconLabel.setObjectName("iconLabel")
        self.gridLayout.addWidget(self.iconLabel, 0, 0, 2, 1)
        spacerItem = QtWidgets.QSpacerItem(188, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 1, 1, 1)
        self.hostEdit = QtWidgets.QLineEdit(parent=AdBlockExceptionsDialog)
        self.hostEdit.setClearButtonEnabled(True)
        self.hostEdit.setObjectName("hostEdit")
        self.gridLayout.addWidget(self.hostEdit, 1, 1, 1, 1)
        self.addButton = QtWidgets.QPushButton(parent=AdBlockExceptionsDialog)
        self.addButton.setEnabled(False)
        self.addButton.setObjectName("addButton")
        self.gridLayout.addWidget(self.addButton, 1, 2, 1, 1)
        self.hostList = QtWidgets.QListWidget(parent=AdBlockExceptionsDialog)
        self.hostList.setAlternatingRowColors(True)
        self.hostList.setObjectName("hostList")
        self.gridLayout.addWidget(self.hostList, 2, 0, 2, 2)
        self.deleteButton = QtWidgets.QPushButton(parent=AdBlockExceptionsDialog)
        self.deleteButton.setEnabled(False)
        self.deleteButton.setObjectName("deleteButton")
        self.gridLayout.addWidget(self.deleteButton, 2, 2, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 148, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem1, 3, 2, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=AdBlockExceptionsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(AdBlockExceptionsDialog)
        self.buttonBox.accepted.connect(AdBlockExceptionsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(AdBlockExceptionsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(AdBlockExceptionsDialog)
        AdBlockExceptionsDialog.setTabOrder(self.hostEdit, self.addButton)
        AdBlockExceptionsDialog.setTabOrder(self.addButton, self.hostList)
        AdBlockExceptionsDialog.setTabOrder(self.hostList, self.deleteButton)
        AdBlockExceptionsDialog.setTabOrder(self.deleteButton, self.buttonBox)

    def retranslateUi(self, AdBlockExceptionsDialog):
        _translate = QtCore.QCoreApplication.translate
        AdBlockExceptionsDialog.setWindowTitle(_translate("AdBlockExceptionsDialog", "AdBlock Exceptions"))
        self.hostEdit.setToolTip(_translate("AdBlockExceptionsDialog", "Enter a host to block AdBlock for"))
        self.hostEdit.setPlaceholderText(_translate("AdBlockExceptionsDialog", "Enter host to be added..."))
        self.addButton.setToolTip(_translate("AdBlockExceptionsDialog", "Press to add the host"))
        self.addButton.setText(_translate("AdBlockExceptionsDialog", "&Add"))
        self.hostList.setSortingEnabled(True)
        self.deleteButton.setToolTip(_translate("AdBlockExceptionsDialog", "Press to delete the selected hosts"))
        self.deleteButton.setText(_translate("AdBlockExceptionsDialog", "&Delete"))
